# Node Swapper

This module provides administrators an interface for swapping an old node for a new node while preserving all existing redirects and aliases. Once a node is swapped, users visiting the old URL (or an old alias, or old redirect) will see the new node.

## Requirements
- [Redirect](www.drupal.org/project/redirect)
- [Pathauto](www.drupal.org/project/pathauto)

## Features
Provides a simple admin-facing tool that allows users to swap an old node for a new node. Users are given a chance to review any changes before they occur.

Administrators can also visit Admin > Configuration > System > Node Swapper Settings to alter some of the default behavior when swapping nodes. This includes being able to set a default URL suffix, and whether or not to unpublish the old node. Users can still override these settings on a case-by-case basis.

## Post-Installation 
Users with the "Access Node Swapper" permission simply need to activate the module and then navigate to Admin > Configuration > System > Node Swapper.

Users with the "Administer Node Swapper" permission can visit Admin > Configuration > System > Node Swapper Settings to change Node Swapper's default behavior.
